use std::sync::atomic::AtomicU32;

#[derive(Debug, Default)]
pub(crate) struct WorkerMetrics {
    pub(crate) num_jobs_shared: AtomicU32,
    pub(crate) num_heartbeats: AtomicU32,
    pub(crate) num_joins: AtomicU32,
    pub(crate) num_jobs_reclaimed: AtomicU32,
    pub(crate) num_jobs_executed: AtomicU32,
    pub(crate) num_jobs_stolen: AtomicU32,
    pub(crate) num_sent_to_self: AtomicU32,
}
